Bug 88872 - Install aborts on low disk space in /mnt/sysimage/var; wrong error code
Install aborts on low disk space in /mnt/sysimage/var; wrong error code
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-04-15 03:36 EDT by Ralf Kleineisel
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 23:11:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Kleineisel 2003-04-15 03:36:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
During the upgrade installation of RH9 the rpm files are copied to
/mnt/sysimage/var and installed from there. There is no check wether /var has
enough free disk space. When /mnt/sysimage/var does not have enough free space
and a rpm file cannot be copied fully the installer tries to install the
corrupted (partial) file and complains that the installation media is defective.

There is no way to skip the installation of the package, even if it is not vital
for the system.

Change to the shell screen and delete unnecessary files in /mnt/sysimage/var

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade install to RH9
2. Choose a package for installation that is bigger than the free space in /var

Expected Results:  The installer should check before beginning the installation
that the biggest rpm file that is going to be installed fits into /mnt/sysimage/var.

It should be possible to skip the installation of non-vital rpms (happend to me
with kernel-source).

Additional info:
Comment 1 Jeremy Katz 2004-10-04 23:11:42 EDT
This should be happier in our current releases.

Note You need to log in before you can comment on or make changes to this bug.